summaryrefslogtreecommitdiffstats
path: root/common
Commit message (Collapse)AuthorAgeFilesLines
* linux-firmware: update md5sum for LICENCE.iwlwifi_firmware1.3_M2.rc11.3_M2.final1.3_M2Tom Zanussi2012-07-121-1/+1
| | | | | | | | | Update the LIC_FILES_CHKSUM, since the license changed slightly. According to the git log: "Just an extension of the copyright dates." Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* linux-firmware: Fix FILESEXTRAPATHS typoDarren Hart2012-06-201-1/+1
| | | | | | Add a missing } in the FILESEXTRAPATHS assignment. Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* ffmpeg: fix checksumsTom Zanussi2012-06-011-3/+3
| | | | | | | The version was changed, but the checksums weren't updated; this updates them. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* gstreamer-vaapi: fix glib includesTom Zanussi2012-05-302-1/+52
| | | | | | | | | | | Fix "Only <glib.h> can be included directly" compilation errors seen when building with 1.3/master. Patch pulled from a post-0.2.9 gstreamer-vaapi version (which however doesn't work with the current stack so a straight upgrade won't work as a fix at this point). Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* lms: new recipeTom Zanussi2012-05-303-0/+81
| | | | | | | | | | Add support for the Intel Active Management Technology (AMT) Local Manageability Service (LMS) daemon. The Intel LMS daemon allows applications to access the Intel AMT firmware via the Intel Management Engine Interface (MEI). Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* gst-va-intel: clarify DESCRIPTIONTom Zanussi2012-05-301-1/+1
| | | | | | Modify the description to clarify that these are gstreamer addons. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* va-intel: new packageTom Zanussi2012-05-301-0/+20
| | | | | | | | We need some libraries for video acceleration which depend on the video implementation being used e.g. vanilla intel vs emgd, so create a new 'va-intel' package group for them. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* gst-va-intel: add conditional vaapi implementationTom Zanussi2012-05-301-0/+13
| | | | | | | | | | | | Use different versions of vaapi interface implementaion depending on what a machine specifies. The default if no MACHINE_FEATURE is specified is gstreamer-vaapi. Other machines may need a different implementation e.g. a machine using emgd would specify 'gst-va-mixvideo' in its MACHINE_FEATURES in order to have the implementation satisfied by emgd instead of gstreamer-vaapi, which this also implements. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* ffmpeg: add --enable-yasmTom Zanussi2012-05-302-1/+2
| | | | | | | Enable yasm for the ffmpeg build - we don't want a 'crippled build' or lipsync problems. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* yasm: new recipeTom Zanussi2012-05-301-0/+17
| | | | | | | | | | | | | | | | | x86 (SSE) assembler supporting NASM and GAS-syntaxes, needed by ffmpeg. Taken from oe-classic (git://git.openembedded.org/openembedded): commit 22f72e1751108cf5092332a952fcbadec5cd1a0d Author: Khem Raj <raj.khem@gmail.com> Date: Tue Mar 22 12:21:50 2011 -0700 yasm: Upgrade yasm_0.7.2.bb -> yasm_1.1.0.bb Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* ffmpeg: add --enable-gplTom Zanussi2012-05-301-0/+1
| | | | | | | libpostproc needs --enable-gpl in order to be built. This essentially changes ffmpeg's license to GPL v2+ as per the ffmpeg LICENSE file. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* ffmpeg: add --enable-vaapiTom Zanussi2012-05-302-1/+2
| | | | | | Turn on vaapi support in ffmpeg to allow video acceleration via vaapi. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* ffmpeg: new recipeTom Zanussi2012-05-302-0/+149
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This is a modified version of the ffmpeg recipe from oe-classic (git://git.openembedded.org/openembedded), updated to ffmpeg-0.7.12, along with some changes take from meta-demo (git://git.yoctoproject.org/meta-demo). The starting point ffmpeg recipe taken from oe-classic version was ffmpeg_0.6.1.bb: commit 5316c5b1416391f15277ce867489e525b7eccd6e Author: Andreas Oberritter <obi@opendreambox.org> Date: Wed Dec 8 22:08:40 2010 +0000 ffmpeg: add recipe for 0.6.1 (LGPLv2.1+) Signed-off-by: Andreas Oberritter <obi@opendreambox.org> Signed-off-by: Khem Raj <raj.khem@gmail.com> The starting point ffmpeg.inc taken from oe-classic corresponds to the starting commit: commit 709c4d66e0b107ca606941b988bad717c0b45d9b Author: Denys Dmytriyenko <denis@denix.org> Date: Tue Mar 17 14:32:59 2009 -0400 rename packages/ to recipes/ per earlier agreement See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com> up to the following commit: commit 18d59f5fad41e4ea05b5d5a8c1588a0bdbdbf815 Author: Andreas Oberritter <obi@opendreambox.org> Date: Wed Dec 8 22:08:39 2010 +0000 ffmpeg: set default license to GPLv2+, because --enable-gpl is used. * See http://www.ffmpeg.org/legal.html Signed-off-by: Andreas Oberritter <obi@opendreambox.org> The following changes were taken from meta-demo for ffmpeg.inc: commit 33513db7658b9c72bb8c6d477c57b2ab62dab669 Author: Joshua Lock <josh@linux.intel.com> Date: Tue Jan 25 18:00:00 2011 +0000 ffmpeg: Fix some path references that broke with latest master of poky Signed-off-by: Joshua Lock <josh@linux.intel.com> commit ef61afc110ee4444a1c893290079f11c96e0d560 Author: Joshua Lock <josh@linux.intel.com> Date: Tue Mar 1 17:10:20 2011 +0000 ffmpeg: fix header installation Change merged from OpenEmbedded Signed-off-by: Joshua Lock <josh@linux.intel.com> commit cae78e5c49423e9ce967f05a5a7c46920ca0cd6b Author: Darren Hart <dvhart@linux.intel.com> Date: Wed Nov 10 14:41:24 2010 -0800 License audit for meta-demo layer Correct .bb and .inc files to include the proper LICENSE and LIC_FILES_CHKSUM variables. Note that in most cases the "(at your option) a later version" clause to the L?GPL is contained in a source file, not COPYING. In those case, add a more or less core source file to the LIC_FILES_CHKSUM list. Signed-off-by: Darren Hart <dvhart@linux.intel.com> Acked-by: Saul Wold <sgw@linux.intel.com> To get the latest bug and security fixes: - updated to ffmpeg-0.7.12 Some additional changes were made to simplify and remove components that weren't strictly necessary for current needs: - removed shroedinger and libgsm dependencies - removed faac faad2 lame dependencies - removed --libgsm, --libmp3lame, --libschroedinger - removed RSUGGESTS mplayer Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: new intel-driver-1.0.15 recipeTom Zanussi2012-05-302-0/+32
| | | | | | | | libva was split in 1.0.15 into general and Intel-specific parts. This recipe addresses the intel-specific part. The general part is addressed in the separate libva_1.0.15.bb recipe. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: new libva-1.0.15 recipeTom Zanussi2012-05-301-0/+8
| | | | | | | This upgrades libva to libva-1.0.15. Intel-specific changes have been split out into intel-driver-1.0.15, contained in a separate recipe. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: add gstreamer-vaapi_git recipeTom Zanussi2012-05-301-0/+26
| | | | | | | | | | | | | | | | | | | | | | | | | | | Based on the gstreamer-vaapi_0.2.5.bb recipe from the Yocto Project meta-demo layer (git://git.yoctoproject.org/meta-demo): commit a33dd433b629f08bc6517ef2ad3bdd36814ebe85 Author: Joshua Lock <josh@linux.intel.com> Date: Tue Mar 22 12:11:42 2011 +0000 gstreamer-vaapi: new recipe currently untested but will likely be useful in future so commiting it so that it doesn't get lost Signed-off-by: Joshua Lock <josh@linux.intel.com> Additional changes made by Tom Zanussi <tom.zanussi@intel.com> in order to work with the other multimedia recipes in meta-intel/common: - summary and description - correct license - changed into a _git recipe in order to pick up post-0.2.5 versions - additional inherits - tested Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* emgd-driver-bin: skip insane ldflags checkTom Zanussi2012-05-181-0/+3
| | | | | | | Add an INSANE_SKIP for ldflags, since these are binaries we have no control over. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* linux-firmware: Move fri2 linux-firmware append to commonDarren Hart2012-05-071-0/+18
| | | | | | | | | In preparation for linux-firmware updates from new BSPs, move the fri2 linux-firmware bbappend into meta-intel/common. Eventually this should be moved into oe-core. Signed-off-by: Darren Hart <dvhart@linux.intel.com> Acked-by: Tom Zanussi <tom.zanussi@intel.com>
* common: Fix xf86-input-evdev path mixupRichard Purdie2012-04-251-1/+1
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* common/meta-graphics: Add xf86-input-evdev 2.6.0Richard Purdie2012-04-251-0/+20
| | | | | | | This is needed by the pvr graphics stacks since newer versions won't build with the older xserver those platforms are using. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* efilinux: Add efilinux 1.0 and gnu-efiDarren Hart2012-03-234-0/+115
| | | | | | | | | | | | | | | | | efilinux is a UEFI OS loader. It was created as a reference implementation with the aim of being well documented and containing well written source code. efilinux is lightweight and convenient as a tool to debug misbehaving UEFI systems. Thanks to Paul Eggleton for is initial set of recipes from which these were based. Signed-off-by: Darren Hart <dvhart@linux.intel.com> CC: Paul Eggleton <paul.eggleton@linux.intel.com> CC: Tom Zanussi <tom.zanussi@intel.com> CC: Kishore K Bodke <kishore.k.bodke@intel.com> Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* meta-intel: remove emgd-1.8Tom Zanussi2012-01-302-39/+0
| | | | | | emgd-1.8 is now obsoleted by emgd-1.10, so remove support for it. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: new recipe for emgd 1.10 driverTom Zanussi2012-01-301-0/+89
| | | | | | This adds a new recipe for the emgd 1.10 driver. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel/common: fix ptr->int and Werror=address compile errors1.2_M2.rc11.2_M2.finalTom Zanussi2012-01-123-0/+146
| | | | | | | | | | | | | | | | | | A couple of things that had previously been warnings are now errors, so they need to be fixed up. The first problem is a comparison between the address of a static struct and NULL, which can never be valid. A different fix for this is upstream, which includes an API usage change; we don't need that to fix this problem. The second problem is a cast from pointer to integer in fbdevhw.c. This also is fixed upstream by removing the whole section of code which is bogus anyway, which is also done here. This also adds a missing PR to the xserver-xorg recipe. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: add PROVIDES for extra packages provided by libvaTom Zanussi2011-12-221-11/+31
| | | | | | | | | | | | | | | | | | libva provides some extra packages such as libva-glx. Add PROVIDES for them so the rest of the build system knows about it. We also need to add the dependency relationships between libva, libva-x11, and libva-glx. Also remove the bogus RDEPENDS on the display components. Also libva-glx depends on mesa-dri - if it's not there, libva-glx won't be built. Also, add missing -dev and -dbg packaging. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com> Acked-by: Darren Hart <dvhart@linux.intel.com>
* meta-intel: new package - gst-va-intelTom Zanussi2011-12-051-0/+28
| | | | | | | We need some extra plugins for EMGD video acceleration use and testing, so create a new 'gst-va-intel' package group for them. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* Revert "meta-intel: add gst-meta-base .bbappend"Tom Zanussi2011-12-021-9/+0
| | | | | | | | | This reverts commit acf138682a45725caa48574b170fbc29817bf941. This breaks non-compatible builds, and should probably be done per-BSP anyway. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: add gst-meta-base .bbappendTom Zanussi2011-12-021-0/+9
| | | | | | | We need some extra plugins for EMGD video acceleration use and testing, so append them to gst-meta-base. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* emgd-driver-bin: add video componentsTom Zanussi2011-12-021-10/+12
| | | | | | | | | | | | | | This adds the video binaries extracted from the following EMGD 1.8 binary rpms (emgd/1.8.2032/IEMGD_HEAD_Linux/common/video_plugin): gst-plugins-mixvideo-0.10.30-1.i586.rpm gst-plugins-va-0.10.7MFLD-1.i586.rpm gst-vabuffer-0.10.5MFLD-1.i586.rpm mixcommon-0.1.9-1.i586.rpm mixvbp-0.1.24-1.i586.rpm mixvideo-0.1.31-1.i586.rpm Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* libva: upgrade to 1.0.12 and factor out common settingsTom Zanussi2011-12-022-8/+19
| | | | | | | | | | | | | EMGD 1.8 requires libva-1.0.12, so upgrade to that version, and we don't actually need the 1.0.10 recipe, so remove it. This also adds -dbg and -dev packaging fixes to fix QA problems, removes some unnecessary settings, updates checksums, etc. Also create and use a common libva.inc, as we'll soon be adding a more updated version of libva to the current version. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* libva: new recipe for video accelerationTom Zanussi2011-12-021-0/+38
| | | | | | | | | | | | | | | | | | | | | | | | | | | | This adds the libva_1.0.10 recipe based on the poky-contrib recipe by Yu Ke (commit msg copied below). The original recipe was in meta/recipes-graphics; this patch moves it to meta-intel/recipes-multimedia since it's multimedia- and Intel-specific. The original commit messages (indented): libva: add new recpies libva libva is a library implementation of "Video Acceleration (VA) API for Linux". libva enables and provides access to graphics hardware (GPU) acceleration for video processing on Linux and UNIX, includes video decoding, video encoding, subpicture blending and rendering. This patch add the libva recipes. Signed-off-by: Yu Ke <ke.yu@intel.com> libva: install some missing .so files Signed-off-by: Dexuan Cui <dexuan.cui@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: /common xserver-xorg name changeTom Zanussi2011-10-156-10/+10
| | | | | | | xserver-xf86-dri-lite changed its name to xorg-xserver, so update the version in /common. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-crownbay: remove emgd-1.6Tom Zanussi2011-09-271-1/+1
| | | | | | emgd-1.6 is now obsoleted by emgd-1.8, so remove support for it. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: fix symlink typo and QA checks in emgd-driver-binTom Zanussi2011-09-271-3/+5
| | | | | | | | | There was a typo in the libEGL.so symlink creation - this fixes it. It also adds a missing symlink for scope services, and fixes the QA warnings for 'non-dev package contains symlink .so...'. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel/common: remove initramfs-live-install .bbappend1.1_M4.rc2+Tom Zanussi2011-09-152-190/+0
| | | | | | | This has been moved into oe-core, so remove it and init-install.sh from meta-intel. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel/common: remove grub-1.98Tom Zanussi2011-09-155-151/+0
| | | | | | This has been moved into oe-core, so remove it from meta-intel. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* grub2: update license versionTom Zanussi2011-09-091-1/+1
| | | | | | | The license version specified in the recipe is wrong - it should be v3 rather than 2+. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* grub: remove the dependency on freetype, disable grub-mkfontDarren Hart2011-09-011-1/+1
| | | | | | | | | | | | | | Grub's configure task was picking up the host freetype libraries if bitbake hadn't gotten around building freetype yet. We could add a dependency on freetype, but it's only used for the optional grub-mkfont utility which we don't really need. Disable grub-mkfont via EXTRA_OECONF, removing the dependency on freetype. Testing: core-image-minimal build and install on sugarbay. Signed-off-by: Darren Hart <dvhart@linux.intel.com> Tested-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: move emgd-driver-bin_1.8 to commonTom Zanussi2011-08-252-0/+35
| | | | | | | emgd-driver-bin will be shared by multiple BSPs, crownbay and fri2 to start with, so move them into /common. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: update init-install.shTom Zanussi2011-08-221-3/+3
| | | | | | | | | The parted 3.0 release introduced some API changes such as the removal of mkpartfs. This updates init-install.sh to use mkpart instead. Fixes [YOCTO #1387] Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: add xserver-xf86-dri-lite_1.9.3 to commonTom Zanussi2011-06-025-0/+100
| | | | | | | | emgd 1.6 requires xserver 1.9.3, which is no longer in meta, and it needs to be shared by multiple BSPs, so add it to common. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com> Acked-by: Darren Hart <dvhart@linux.intel.com>
* meta-intel: fix for x86_32 build failuresTom Zanussi2011-02-242-2/+55
| | | | | | | | | | Fixes [BUG #711]. gentrigtables was being build as a 64-bit binary which wouldn't run on the build machine. grub-mkfont was also causing compile failures, add dependency on libfreetype for that. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* meta-intel: add a /common dir with grub2/live-install changesTom Zanussi2011-01-316-0/+288
Add a /common dir to contain code shared by multiple BSPs in the meta-intel repo, along with a couple recipes to live there temporarily. In this case, there are two BSPs that need to share the common grub2 and associated initramfs-live-install changes (sugarbay and jasperforest). The grub2 and associated initramfs-live-install changes will soon be submitted to the main poky repo, but for now it makes more sense to keep them here - they're needed for live-install of the two BSPs mentioned, but they contain a couple hacks that need to be addressed and are untested with anything else. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>